Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010520Dwarf FortressAdventure Mode -- AIpublic2018-01-13 13:362018-01-20 14:16
ReporterGnome 
Assigned ToToady One 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.44.04 
Target VersionFixed in VersionNext Version 
Summary0010520: Bronze colossus is not automatically aggressive towards adventurer
DescriptionBasically what the title says - Bronze Colossus just hangs out at his shrine until I attack first. Also experienced a similar behavior with a Roc. In past versions these creatures would rush me immediately upon visual contact. Not sure if this applies to megabeasts across the board, I will update if I have more information.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0037613)
firedraco (reporter)
2018-01-14 17:25

I did have this occur with Hydra in my save but I wasn't sure if me being an elf had some wonky interaction there. It also ignored my companion as well (who was not an elf).
(0037629)
lethosor (manager)
2018-01-15 15:29

Saves uploaded to http://dffd.bay12games.com/ [^] would help with this.
(0037630)
Urlance Woolsbane (reporter)
2018-01-15 16:10

Assuming this is an issue, it was introduced no sooner than 44.04. I genned a world in 44.03 with thousands of megabeasts, and the hundreds of monsters (children included) that streamed out from the several lairs I discovered were most definitely hostile...
(0037638)
Gnome (reporter)
2018-01-16 05:40

Also just struck up a conversation with a cyclops, which was a friendly conversation until I told him about the giant I killed. Then he spit at me and we fight. Not sure if related. Probably though. I'll try to get a save right next to a colossus or one of these things.
(0037639)
Gnome (reporter)
2018-01-16 06:40

http://dffd.bay12games.com/file.php?id=13427 [^] Here you go, located myself at a shrine where you can observe the friendly Colossus.
(0037644)
Gnome (reporter)
2018-01-16 08:43

Okay, update: from that very save point - I reloaded. Things were as I left them, colossus within my vicinity not caring about me at all. I leave to get a more appropriate weapon for the job, and return - and upon my return NOW he rushes me. I'm not sure what changed to facilitate this behavior as I had not attacked him yet.
(0037647)
thvaz (reporter)
2018-01-16 19:25
edited on: 2018-01-16 19:25

It is happening in fortress mode also - a forgotten beast completely ignores my dwarves (I wish I had see that before ordering my squad to attack it...)

(0037655)
chaosvolt (reporter)
2018-01-17 13:13

I've just had this occur with a semi-megabeast. Modded game but should be nothing that messes with hostility: https://cdn.discordapp.com/attachments/303339555057172490/403281828976394250/unknown.png [^]
(0037661)
Gnome (reporter)
2018-01-17 14:59

I reported the same giant's death from earlier (the one that earned me hostility from a friendly cyclops), but this time to a maceman located in a meadhall - I was going to use the positive reputation gain to get him to join me and help me take down the colossus in my save, but he was repulsed by what I told him, spat at me, and then I couldn't fast travel from the area anymore.

- Issue History
Date Modified Username Field Change
2018-01-13 13:36 Gnome New Issue
2018-01-14 17:25 firedraco Note Added: 0037613
2018-01-15 15:28 lethosor Summary Bronze colossus is not automatically aggro to adventurer => Bronze colossus is not automatically aggressive towards adventurer
2018-01-15 15:29 lethosor Note Added: 0037629
2018-01-15 15:29 lethosor Assigned To => lethosor
2018-01-15 15:29 lethosor Status new => needs feedback
2018-01-15 16:10 Urlance Woolsbane Note Added: 0037630
2018-01-16 05:09 Gnome Note Added: 0037637
2018-01-16 05:09 Gnome Status needs feedback => assigned
2018-01-16 05:10 Gnome Note Edited: 0037637 View Revisions
2018-01-16 05:39 Gnome Note Deleted: 0037637
2018-01-16 05:40 Gnome Note Added: 0037638
2018-01-16 06:40 Gnome Note Added: 0037639
2018-01-16 08:43 Gnome Note Added: 0037644
2018-01-16 19:25 thvaz Note Added: 0037647
2018-01-16 19:25 thvaz Note Edited: 0037647 View Revisions
2018-01-17 13:13 chaosvolt Note Added: 0037655
2018-01-17 13:13 chaosvolt Issue Monitored: chaosvolt
2018-01-17 14:59 Gnome Note Added: 0037661
2018-01-20 14:16 Toady One Status assigned => resolved
2018-01-20 14:16 Toady One Fixed in Version => Next Version
2018-01-20 14:16 Toady One Resolution open => fixed
2018-01-20 14:16 Toady One Assigned To lethosor => Toady One
2018-01-23 16:05 chaosvolt Issue End Monitor: chaosvolt


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker